Bug 175282 - Review Request: apollon: Filesharing client
Review Request: apollon: Filesharing client
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
Depends On: 170602 175276
  Show dependency treegraph
Reported: 2005-12-08 10:07 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-03 09:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-12-08 10:07:27 EST
Spec Name or
SRPM Name or Url:
Description:  A filesharing client which uses giFT.
Comment 1 Rex Dieter 2005-12-08 10:08:36 EST
See also previous livna review/comments: 
Comment 2 Aurelien Bompard 2005-12-17 17:41:40 EST
Needs work:
* The package should contain the text of the license
  (wiki: PackageReviewGuidelines)
* The package contains a libtool archive file
  (wiki: PackagingGuidelines#StaticLibraries)
  Apollon seems to work without it.
Comment 3 Rex Dieter 2005-12-19 07:51:38 EST
* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-2
- more %%doc's: AUTHORS ChangeLog COPYING TODO
- drop %%_libdir/lib*.la

Spec Name or Url:
SRPM Name or Url:
Comment 4 Aurelien Bompard 2005-12-20 08:43:13 EST
missing BuildRequires: libacl-devel
Comment 5 Rex Dieter 2005-12-20 08:49:58 EST
libacl-devel shouldn't be necessary.  Or is this a manifestation of bug #170602
"Remove references to -lacl (and others) in .la files"?  (I assume you're seeing
this on fc4?  If so, I'll reopen the bug)
Comment 6 Aurelien Bompard 2005-12-20 09:02:33 EST
Yes, this is in an FC4 chroot via mock.
Comment 7 Rex Dieter 2005-12-20 09:16:13 EST
* Tue Dec 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-3
- BR: libacl-devel (workaround kdelibs bug #170602)

Spec Name or Url:
SRPM Name or Url:
Comment 8 Aurelien Bompard 2005-12-20 10:07:34 EST
Review for release 3:
* RPM name is OK
* Source apollon-1.0.1.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of apollon looks OK
* File list of apollon looks OK
* Works

Note You need to log in before you can comment on or make changes to this bug.